## org.h2.mvstore
Class ChangeCursor<K,V>

    java.lang.Object
      org.h2.mvstore.ChangeCursor<K,V>

Type Parameters:
  `K` - the key type
  `V` - the value type

All Implemented Interfaces:
  java.util.Iterator<K>

    public class ChangeCursor<K,V>

extends java.lang.Object
implements java.util.Iterator<K>

A cursor to iterate over all keys in new pages.

Method Summary
`boolean` `hasNext()`
`K` `next()`
`void` `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### next

    public K next()

  Specified by:
    `next` in interface `java.util.Iterator<K>`

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `java.util.Iterator<K>`

### remove

    public void remove()

  Specified by:
    `remove` in interface `java.util.Iterator<K>`